## yubikey-val 2.23

=== Makefile ===
# Copyright (c) 2009-2013 Yubico AB
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#   * Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#   * Redistributions in binary form must reproduce the above
#     copyright notice, this list of conditions and the following
#     disclaimer in the documentation and/or other materials provided
#     with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

VERSION = 2.23
PACKAGE = yubikey-val
CODE = COPYING Makefile NEWS ykval-checksum-clients			\
	ykval-common.php ykval-config.php ykval-db.php ykval-db.sql	\
	ykval-export ykval-import ykval-log.php ykval-ping.php	\
	ykval-queue ykval-revoke.php ykval-synclib.php		\
	ykval-sync.php ykval-verify.php ykval-export-clients 	\
	ykval-import-clients ykval-db-oci.php ykval-db-pdo.php	\
	ykval-db.oracle.sql ykval-resync.php ykval-checksum-deactivated	\
	ykval-synchronize ykval-gen-clients
MANS = ykval-queue.1 ykval-import.1 ykval-export.1		\
	ykval-import-clients.1 ykval-export-clients.1		\
	ykval-checksum-clients.1 ykval-checksum-deactivated.1	\
	ykval-synchronize.1 ykval-gen-clients.1
MUNIN = ykval-munin-ksmlatency.php ykval-munin-vallatency.php	\
	ykval-munin-queuelength.php ykval-munin-responses.pl \
	ykval-munin-yubikeystats.php
DOCS = doc/ClientInfoFormat.wiki doc/Installation.wiki			\
	doc/RevocationService.wiki doc/ServerReplicationProtocol.wiki	\
	doc/SyncMonitor.wiki doc/Troubleshooting.wiki

all:
	@echo "Try 'make install' or 'make symlink'."
	@echo "Docs: https://github.com/Yubico/yubikey-val/wiki/Installation"
	@exit 1

# Installation rules.

etcprefix = /etc/yubico/val
sbinprefix = /usr/sbin
phpprefix = /usr/share/yubikey-val
docprefix = /usr/share/doc/yubikey-val
manprefix = /usr/share/man/man1
muninprefix = /usr/share/munin/plugins
wwwgroup = www-data

install:
	install -D --mode 644 ykval-verify.php $(DESTDIR)$(phpprefix)/ykval-verify.php
	install -D --mode 644 ykval-common.php $(DESTDIR)$(phpprefix)/ykval-common.php
	install -D --mode 644 ykval-synclib.php $(DESTDIR)$(phpprefix)/ykval-synclib.php
	install -D --mode 644 ykval-sync.php $(DESTDIR)$(phpprefix)/ykval-sync.php
	install -D --mode 644 ykval-resync.php $(DESTDIR)$(phpprefix)/ykval-resync.php
	install -D --mode 644 ykval-db.php $(DESTDIR)$(phpprefix)/ykval-db.php
	install -D --mode 644 ykval-db-pdo.php $(DESTDIR)$(phpprefix)/ykval-db-pdo.php
	install -D --mode 644 ykval-db-oci.php $(DESTDIR)$(phpprefix)/ykval-db-oci.php
	install -D --mode 644 ykval-log.php $(DESTDIR)$(phpprefix)/ykval-log.php
	install -D ykval-queue $(DESTDIR)$(sbinprefix)/ykval-queue
	install -D ykval-synchronize $(DESTDIR)$(sbinprefix)/ykval-synchronize
	install -D ykval-export $(DESTDIR)$(sbinprefix)/ykval-export
	install -D ykval-import $(DESTDIR)$(sbinprefix)/ykval-import
	install -D ykval-gen-clients $(DESTDIR)$(sbinprefix)/ykval-gen-clients
	install -D ykval-export-clients $(DESTDIR)$(sbinprefix)/ykval-export-clients
	install -D ykval-import-clients $(DESTDIR)$(sbinprefix)/ykval-import-clients
	install -D ykval-checksum-clients $(DESTDIR)$(sbinprefix)/ykval-checksum-clients
	install -D ykval-checksum-deactivated $(DESTDIR)$(sbinprefix)/ykval-checksum-deactivated
	install -D ykval-queue.1 $(DESTDIR)$(manprefix)/ykval-queue.1
	install -D ykval-synchronize.1 $(DESTDIR)$(manprefix)/ykval-synchronize.1
	install -D ykval-import.1 $(DESTDIR)$(manprefix)/ykval-import.1
	install -D ykval-export.1 $(DESTDIR)$(manprefix)/ykval-export.1
	install -D ykval-gen-clients.1 $(DESTDIR)$(manprefix)/ykval-gen-clients.1
	install -D ykval-import-clients.1 $(DESTDIR)$(manprefix)/ykval-import-clients.1
	install -D ykval-export-clients.1 $(DESTDIR)$(manprefix)/ykval-export-clients.1
	install -D ykval-checksum-clients.1 $(DESTDIR)$(manprefix)/ykval-checksum-clients.1
	install -D ykval-checksum-deactivated.1 $(DESTDIR)$(manprefix)/ykval-checksum-deactivated.1
	install -D ykval-munin-ksmlatency.php $(DESTDIR)$(muninprefix)/ykval_ksmlatency
	install -D ykval-munin-vallatency.php $(DESTDIR)$(muninprefix)/ykval_vallatency
	install -D ykval-munin-queuelength.php $(DESTDIR)$(muninprefix)/ykval_queuelength
	install -D ykval-munin-responses.pl $(DESTDIR)$(muninprefix)/ykval_responses
	install -D ykval-munin-yubikeystats.php $(DESTDIR)$(muninprefix)/ykval_yubikeystats
	install -D --backup --mode 640 --group $(wwwgroup) ykval-config.php $(DESTDIR)$(etcprefix)/ykval-config.php
	install -D --mode 644 ykval-db.sql $(DESTDIR)$(docprefix)/ykval-db.sql
	install -D --mode 644 ykval-db.oracle.sql $(DESTDIR)$(docprefix)/ykval-db.oracle.sql
	install -D --mode 644 $(DOCS) $(DESTDIR)$(docprefix)/

wwwprefix = /var/www/wsapi

symlink:
	install -d $(DESTDIR)$(wwwprefix)/2.0
	ln -sf $(phpprefix)/ykval-verify.php $(DESTDIR)$(wwwprefix)/2.0/verify.php
	ln -sf $(phpprefix)/ykval-sync.php $(DESTDIR)$(wwwprefix)/2.0/sync.php
	ln -sf $(phpprefix)/ykval-resync.php $(DESTDIR)$(wwwprefix)/2.0/resync.php
	ln -sf 2.0/verify.php $(DESTDIR)$(wwwprefix)/verify.php

revoke:
	install -D --mode 644 ykval-revoke.php $(DESTDIR)$(phpprefix)/ykval-revoke.php
	ln -sf $(phpprefix)/ykval-revoke.php $(DESTDIR)$(wwwprefix)/revoke.php

# Maintainer rules.

PROJECT = $(PACKAGE)

$(PACKAGE)-$(VERSION).tgz: $(FILES)
	git submodule init
	git submodule update
	mkdir $(PACKAGE)-$(VERSION) $(PACKAGE)-$(VERSION)/doc
	cp $(CODE) $(MANS) $(MUNIN) $(PACKAGE)-$(VERSION)/
	cp $(DOCS) $(PACKAGE)-$(VERSION)/doc/
	git2cl > $(PACKAGE)-$(VERSION)/ChangeLog
	tar cfz $(PACKAGE)-$(VERSION).tgz $(PACKAGE)-$(VERSION)
	rm -rf $(PACKAGE)-$(VERSION)

dist: $(PACKAGE)-$(VERSION).tgz

clean:
	rm -f *~
	rm -rf $(PACKAGE)-$(VERSION)

release: dist
	@if test -z "$(KEYID)"; then \
		echo "Try this instead:"; \
		echo "  make release KEYID=[PGPKEYID]"; \
		echo "For example:"; \
		echo "  make release KEYID=2117364A"; \
		exit 1; \
	fi
	@head -1 NEWS | grep -q "Version $(VERSION) (released `date -I`)" || \
		(echo 'error: You need to update date/version in NEWS'; exit 1)
	@if test ! -d $(YUBICO_GITHUB_REPO); then \
		echo "yubico.github.com repo not found!"; \
		echo "Make sure that YUBICO_GITHUB_REPO is set"; \
		exit 1; \
	fi
	gpg --detach-sign --default-key $(KEYID) $(PACKAGE)-$(VERSION).tgz
	gpg --verify $(PACKAGE)-$(VERSION).tgz.sig
	git tag -u $(KEYID) -m $(VERSION) $(PACKAGE)-$(VERSION)
	echo "Release created and tagged, remember to git push && git push --tags"
	$(YUBICO_GITHUB_REPO)/publish $(PROJECT) $(VERSION) $(PACKAGE)-$(VERSION).tgz*

=== debian/changelog ===
yubikey-val (2.23-2) unstable; urgency=low

  [ Dain Nilsson ]
  * Removed debconf note (closes: #710844).

 -- Simon Josefsson <simon@josefsson.org>  Thu, 05 Sep 2013 20:20:26 +0200

yubikey-val (2.23-1) unstable; urgency=low

  * Initial package (closes: #699530).

 -- Dain Nilsson <dain@yubico.com>  Wed, 17 Apr 2013 17:29:02 +0200

=== debian/control ===
Source: yubikey-val
Section: net
Priority: extra
Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
Uploaders: Simon Josefsson <simon@josefsson.org>, Klas Lindfors <klas@yubico.com>, Dain Nilsson <dain@yubico.com>, Tommaso Galassi De Orchi <tom@yubico.com>, Daniel Pocock <daniel@pocock.com.au>
Build-Depends: debhelper (>= 9),
	       po-debconf
Standards-Version: 3.9.4
Homepage: https://github.com/Yubico/yubikey-val
Vcs-Browser: https://github.com/Yubico/yubikey-val-dpkg
Vcs-Git: git://github.com/Yubico/yubikey-val-dpkg.git

Package: yubikey-val
Architecture: all
Depends: ${misc:Depends},
	 apache2,
	 php5,
	 php5-cli,
	 php5-curl,
	 php-pear,
	 mysql-server | postgresql,
	 php5-mysql | php5-pgsql,
	 dbconfig-common
Recommends: mysql-client | postgresql-client
Suggests: yubikey-ksm | yhsm-yubikey-ksm
Description: One-Time Password (OTP) validation server for YubiKey tokens
 YubiKeys are USB tokens that act like keyboards and generate one-time
 passwords.  This package contains a server written in PHP for use with
 Apache to validate YubiKey OTPs.  The architecture is that a set of
 validation servers manage the token counters and respond to OTP requests
 from clients, and utilize a set of back-end YubiKey Key Storage
 Module (KSM) servers to perform the actual AES key decryption.  The
 protocols are openly published.  There are two implementations of the
 KSM available: yubikey-ksm (PHP, secrets on disk in database) and
 yhsm-yubikey-ksm (Python, for use with secrets protected by the YubiHSM
 hardware).  Sometimes the KSM runs on another server than the
 validation server, but it is possible to run both on the same
 machine.  After installing and configuring this package you will have
 a YubiKey validation server up and running via Apache.

## yubikey-val 2.24

=== Makefile ===
--- 
+++ 
@@ -25,9 +25,9 @@
 # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-VERSION = 2.23
+VERSION = 2.24
 PACKAGE = yubikey-val
-CODE = COPYING Makefile NEWS ykval-checksum-clients			\
+CODE = COPYING Makefile NEWS README ykval-checksum-clients		\
 	ykval-common.php ykval-config.php ykval-db.php ykval-db.sql	\
 	ykval-export ykval-import ykval-log.php ykval-ping.php	\
 	ykval-queue ykval-revoke.php ykval-synclib.php		\
@@ -142,7 +142,7 @@
 	fi
 	@head -1 NEWS | grep -q "Version $(VERSION) (released `date -I`)" || \
 		(echo 'error: You need to update date/version in NEWS'; exit 1)
-	@if test ! -d $(YUBICO_GITHUB_REPO); then \
+	@if test ! -d "$(YUBICO_GITHUB_REPO)"; then \
 		echo "yubico.github.com repo not found!"; \
 		echo "Make sure that YUBICO_GITHUB_REPO is set"; \
 		exit 1; \
@@ -150,5 +150,5 @@
 	gpg --detach-sign --default-key $(KEYID) $(PACKAGE)-$(VERSION).tgz
 	gpg --verify $(PACKAGE)-$(VERSION).tgz.sig
 	git tag -u $(KEYID) -m $(VERSION) $(PACKAGE)-$(VERSION)
-	echo "Release created and tagged, remember to git push && git push --tags"
+	@echo "Release created and tagged, remember to git push && git push --tags"
 	$(YUBICO_GITHUB_REPO)/publish $(PROJECT) $(VERSION) $(PACKAGE)-$(VERSION).tgz*

=== debian/changelog ===
yubikey-val (2.24-1) unstable; urgency=low

  * New upstream release.
  * Improve README.source.
  * Change my uploader email address.

 -- Simon Josefsson <simon@yubico.com>  Wed, 18 Sep 2013 17:12:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: extra
 Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
-Uploaders: Simon Josefsson <simon@josefsson.org>, Klas Lindfors <klas@yubico.com>, Dain Nilsson <dain@yubico.com>, Tommaso Galassi De Orchi <tom@yubico.com>, Daniel Pocock <daniel@pocock.com.au>
+Uploaders: Simon Josefsson <simon@yubico.com>, Klas Lindfors <klas@yubico.com>, Dain Nilsson <dain@yubico.com>, Tommaso Galassi De Orchi <tom@yubico.com>, Daniel Pocock <daniel@pocock.com.au>
 Build-Depends: debhelper (>= 9),
 	       po-debconf
 Standards-Version: 3.9.4

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

override_dh_auto_build:
# There is no default 'make' target for this package

override_dh_installinit:
	dh_installinit --name ykval-queue

%:
	dh $@

=== debian/watch ===
version=3
http://yubico.github.com/yubikey-val/releases.html .*/yubikey-val-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## yubikey-val 2.25

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-VERSION = 2.24
+VERSION = 2.25
 PACKAGE = yubikey-val
 CODE = COPYING Makefile NEWS README ykval-checksum-clients		\
 	ykval-common.php ykval-config.php ykval-db.php ykval-db.sql	\
@@ -42,13 +42,13 @@
 MUNIN = ykval-munin-ksmlatency.php ykval-munin-vallatency.php	\
 	ykval-munin-queuelength.php ykval-munin-responses.pl \
 	ykval-munin-yubikeystats.php
-DOCS = doc/ClientInfoFormat.wiki doc/Installation.wiki			\
-	doc/RevocationService.wiki doc/ServerReplicationProtocol.wiki	\
-	doc/SyncMonitor.wiki doc/Troubleshooting.wiki
+DOCS = doc/ImportExportData.adoc doc/Installation.adoc			\
+	doc/RevocationService.adoc doc/ServerReplicationProtocol.adoc	\
+	doc/SyncMonitor.adoc doc/Troubleshooting.adoc
 
 all:
 	@echo "Try 'make install' or 'make symlink'."
-	@echo "Docs: https://github.com/Yubico/yubikey-val/wiki/Installation"
+	@echo "Docs: https://github.com/Yubico/yubikey-val/docs/Installation.adoc"
 	@exit 1
 
 # Installation rules.
@@ -117,8 +117,6 @@
 PROJECT = $(PACKAGE)
 
 $(PACKAGE)-$(VERSION).tgz: $(FILES)
-	git submodule init
-	git submodule update
 	mkdir $(PACKAGE)-$(VERSION) $(PACKAGE)-$(VERSION)/doc
 	cp $(CODE) $(MANS) $(MUNIN) $(PACKAGE)-$(VERSION)/
 	cp $(DOCS) $(PACKAGE)-$(VERSION)/doc/

=== debian/changelog ===
yubikey-val (2.25-1) unstable; urgency=medium

  [ Simon Josefsson]
  * Fix Homepage URL.
  * New upstream release.
  * Fix watch file and add upstream-signing-key.pgp.
  * Fix URLs in README.Debian.
  * Reduce Uploaders.

  [ Dain Nilsson ]
  * Fixes for Apache 2.4.
  * Bump Standards-Version to 3.9.5.

 -- Simon Josefsson <simon@yubico.com>  Thu, 04 Sep 2014 13:09:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: net
 Priority: extra
 Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
-Uploaders: Simon Josefsson <simon@yubico.com>, Klas Lindfors <klas@yubico.com>, Dain Nilsson <dain@yubico.com>, Tommaso Galassi De Orchi <tom@yubico.com>, Daniel Pocock <daniel@pocock.com.au>
+Uploaders: Simon Josefsson <simon@yubico.com>, Klas Lindfors <klas@yubico.com>, Dain Nilsson <dain@yubico.com>, Daniel Pocock <daniel@pocock.com.au>
 Build-Depends: debhelper (>= 9),
 	       po-debconf
-Standards-Version: 3.9.4
-Homepage: https://github.com/Yubico/yubikey-val
+Standards-Version: 3.9.5
+Homepage: https://developers.yubico.com/yubikey-val/
 Vcs-Browser: https://github.com/Yubico/yubikey-val-dpkg
 Vcs-Git: git://github.com/Yubico/yubikey-val-dpkg.git

## yubikey-val 2.27

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-VERSION = 2.25
+VERSION = 2.27
 PACKAGE = yubikey-val
 CODE = COPYING Makefile NEWS README ykval-checksum-clients		\
 	ykval-common.php ykval-config.php ykval-db.php ykval-db.sql	\
@@ -41,14 +41,17 @@
 	ykval-synchronize.1 ykval-gen-clients.1
 MUNIN = ykval-munin-ksmlatency.php ykval-munin-vallatency.php	\
 	ykval-munin-queuelength.php ykval-munin-responses.pl \
-	ykval-munin-yubikeystats.php
-DOCS = doc/ImportExportData.adoc doc/Installation.adoc			\
-	doc/RevocationService.adoc doc/ServerReplicationProtocol.adoc	\
-	doc/SyncMonitor.adoc doc/Troubleshooting.adoc
+	ykval-munin-yubikeystats.php ykval-munin-ksmresponses.pl
+DOCS = doc/GeneratingClients.adoc doc/GettingStartedWritingClients.adoc \
+	doc/ImportExportData.adoc doc/Installation.adoc doc/MakeRelease.adoc \
+	doc/MuninProbes.adoc doc/RevocationService.adoc \
+	doc/ServerReplicationProtocol.adoc doc/SyncMonitor.adoc \
+	doc/Troubleshooting.adoc doc/ValidationProtocolV20.adoc \
+	doc/ValidationServerAlgorithm.adoc doc/YubiKeyInfoFormat.adoc
 
 all:
 	@echo "Try 'make install' or 'make symlink'."
-	@echo "Docs: https://github.com/Yubico/yubikey-val/docs/Installation.adoc"
+	@echo "Docs: https://developers.yubico.com/yubikey-val/doc/Installation.html"
 	@exit 1
 
 # Installation rules.
@@ -93,6 +96,7 @@
 	install -D ykval-munin-vallatency.php $(DESTDIR)$(muninprefix)/ykval_vallatency
 	install -D ykval-munin-queuelength.php $(DESTDIR)$(muninprefix)/ykval_queuelength
 	install -D ykval-munin-responses.pl $(DESTDIR)$(muninprefix)/ykval_responses
+	install -D ykval-munin-ksmresponses.pl $(DESTDIR)$(muninprefix)/ykval_ksmresponses
 	install -D ykval-munin-yubikeystats.php $(DESTDIR)$(muninprefix)/ykval_yubikeystats
 	install -D --backup --mode 640 --group $(wwwgroup) ykval-config.php $(DESTDIR)$(etcprefix)/ykval-config.php
 	install -D --mode 644 ykval-db.sql $(DESTDIR)$(docprefix)/ykval-db.sql

=== debian/changelog ===
yubikey-val (2.27-2) unstable; urgency=low

  [ Klas Lindfors ]
  * Fix watch file.

  [ Simon Josefsson ]
  * Change my email.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 27 Dec 2014 22:58:58 +0100

yubikey-val (2.27-1) unstable; urgency=medium

  [ Klas Lindfors ]
  * New upstream release.

  [ Simon Josefsson ]
  * Update upstream-signing-key.pgp.

 -- Simon Josefsson <simon@yubico.com>  Wed, 01 Oct 2014 18:09:39 +0200

yubikey-val (2.26-1) unstable; urgency=medium

  * New upstream release.

 -- Klas Lindfors <klas@yubico.com>  Wed, 24 Sep 2014 10:56:39 +0200

yubikey-val (2.25-2) unstable; urgency=medium

  [ Klas Lindfors ]
  * Fix postgres dbconfig.

  [ Simon Josefsson]
  * Bump Standards-Version to 3.9.6.

 -- Klas Lindfors <klas@yubico.com>  Fri, 19 Sep 2014 16:13:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: net
 Priority: extra
 Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
-Uploaders: Simon Josefsson <simon@yubico.com>, Klas Lindfors <klas@yubico.com>, Dain Nilsson <dain@yubico.com>, Daniel Pocock <daniel@pocock.com.au>
+Uploaders: Simon Josefsson <simon@josefsson.org>, Klas Lindfors <klas@yubico.com>, Dain Nilsson <dain@yubico.com>, Daniel Pocock <daniel@pocock.com.au>
 Build-Depends: debhelper (>= 9),
 	       po-debconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://developers.yubico.com/yubikey-val/
 Vcs-Browser: https://github.com/Yubico/yubikey-val-dpkg
 Vcs-Git: git://github.com/Yubico/yubikey-val-dpkg.git

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ https://developers.yubico.com/yubikey-val/Releases/ yubikey-val-(\d[\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## yubikey-val 2.28

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-VERSION = 2.27
+VERSION = 2.28
 PACKAGE = yubikey-val
 CODE = COPYING Makefile NEWS README ykval-checksum-clients		\
 	ykval-common.php ykval-config.php ykval-db.php ykval-db.sql	\
@@ -38,16 +38,17 @@
 MANS = ykval-queue.1 ykval-import.1 ykval-export.1		\
 	ykval-import-clients.1 ykval-export-clients.1		\
 	ykval-checksum-clients.1 ykval-checksum-deactivated.1	\
-	ykval-synchronize.1 ykval-gen-clients.1
+	ykval-synchronize.1 ykval-gen-clients.1 ykval-nagios-queuelength.1
 MUNIN = ykval-munin-ksmlatency.php ykval-munin-vallatency.php	\
 	ykval-munin-queuelength.php ykval-munin-responses.pl \
 	ykval-munin-yubikeystats.php ykval-munin-ksmresponses.pl
-DOCS = doc/GeneratingClients.adoc doc/GettingStartedWritingClients.adoc \
-	doc/ImportExportData.adoc doc/Installation.adoc doc/MakeRelease.adoc \
-	doc/MuninProbes.adoc doc/RevocationService.adoc \
-	doc/ServerReplicationProtocol.adoc doc/SyncMonitor.adoc \
-	doc/Troubleshooting.adoc doc/ValidationProtocolV20.adoc \
-	doc/ValidationServerAlgorithm.adoc doc/YubiKeyInfoFormat.adoc
+NAGIOS= ykval-nagios-queuelength.php
+DOCS = doc/Generating_Clients.adoc doc/Getting_Started_Writing_Clients.adoc \
+	doc/Import_Export_Data.adoc doc/Installation.adoc doc/Make_Release.adoc \
+	doc/Munin_Probes.adoc doc/Revocation_Service.adoc \
+	doc/Server_Replication_Protocol.adoc doc/Sync_Monitor.adoc \
+	doc/Troubleshooting.adoc doc/Validation_Protocol_V2.0.adoc \
+	doc/Validation_Server_Algorithm.adoc doc/YubiKey_Info_Format.adoc
 
 all:
 	@echo "Try 'make install' or 'make symlink'."
@@ -83,6 +84,7 @@
 	install -D ykval-import-clients $(DESTDIR)$(sbinprefix)/ykval-import-clients
 	install -D ykval-checksum-clients $(DESTDIR)$(sbinprefix)/ykval-checksum-clients
 	install -D ykval-checksum-deactivated $(DESTDIR)$(sbinprefix)/ykval-checksum-deactivated
+	install -D ykval-nagios-queuelength.php $(DESTDIR)$(sbinprefix)/ykval-nagios-queuelength
 	install -D ykval-queue.1 $(DESTDIR)$(manprefix)/ykval-queue.1
 	install -D ykval-synchronize.1 $(DESTDIR)$(manprefix)/ykval-synchronize.1
 	install -D ykval-import.1 $(DESTDIR)$(manprefix)/ykval-import.1
@@ -122,7 +124,7 @@
 
 $(PACKAGE)-$(VERSION).tgz: $(FILES)
 	mkdir $(PACKAGE)-$(VERSION) $(PACKAGE)-$(VERSION)/doc
-	cp $(CODE) $(MANS) $(MUNIN) $(PACKAGE)-$(VERSION)/
+	cp $(CODE) $(MANS) $(MUNIN) $(NAGIOS) $(PACKAGE)-$(VERSION)/
 	cp $(DOCS) $(PACKAGE)-$(VERSION)/doc/
 	git2cl > $(PACKAGE)-$(VERSION)/ChangeLog
 	tar cfz $(PACKAGE)-$(VERSION).tgz $(PACKAGE)-$(VERSION)

=== debian/changelog ===
yubikey-val (2.28-1) unstable; urgency=low

  * New upstream release.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 26 Feb 2015 13:41:51 +0100

## yubikey-val 2.33

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (c) 2009-2013 Yubico AB
+# Copyright (c) 2009-2015 Yubico AB
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -25,7 +25,7 @@
 # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-VERSION = 2.28
+VERSION = 2.33
 PACKAGE = yubikey-val
 CODE = COPYING Makefile NEWS README ykval-checksum-clients		\
 	ykval-common.php ykval-config.php ykval-db.php ykval-db.sql	\

=== debian/changelog ===
yubikey-val (2.33-1ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1565919).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 04 Apr 2016 10:54:52 -0700

yubikey-val (2.33-1) unstable; urgency=low

  * New upstream release.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 08 Oct 2015 12:39:27 +0200

yubikey-val (2.32-1) unstable; urgency=low

  * New upstream release.
  * Update upstream-signing-key.pgp.
  * Tweak watch file.
  * Tweak Upstream-Name in copyright file.
  * Add gbp.conf.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 22 Sep 2015 09:04:17 +0200

yubikey-val (2.29-1) unstable; urgency=low

  * New upstream release.
  * Update debian/README.source.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 21 Aug 2015 12:05:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: yubikey-val
 Section: net
 Priority: extra
-Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
 Uploaders: Simon Josefsson <simon@josefsson.org>, Klas Lindfors <klas@yubico.com>, Dain Nilsson <dain@yubico.com>, Daniel Pocock <daniel@pocock.com.au>
 Build-Depends: debhelper (>= 9),
 	       po-debconf
@@ -14,12 +15,12 @@
 Architecture: all
 Depends: ${misc:Depends},
 	 apache2,
-	 php5,
-	 php5-cli,
-	 php5-curl,
+	 php,
+	 php-cli,
+	 php-curl,
 	 php-pear,
 	 mysql-server | postgresql,
-	 php5-mysql | php5-pgsql,
+	 php-mysql | php-pgsql,
 	 dbconfig-common
 Recommends: mysql-client | postgresql-client
 Suggests: yubikey-ksm | yhsm-yubikey-ksm

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
 
 override_dh_auto_build:
 # There is no default 'make' target for this package

## yubikey-val 2.38

=== Makefile ===
--- 
+++ 
@@ -25,11 +25,11 @@
 # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-VERSION = 2.33
+VERSION = 2.38
 PACKAGE = yubikey-val
 CODE = COPYING Makefile NEWS README ykval-checksum-clients		\
 	ykval-common.php ykval-config.php ykval-db.php ykval-db.sql	\
-	ykval-export ykval-import ykval-log.php ykval-ping.php	\
+	ykval-export ykval-import ykval-log.php ykval-log-verify.php ykval-ping.php	\
 	ykval-queue ykval-revoke.php ykval-synclib.php		\
 	ykval-sync.php ykval-verify.php ykval-export-clients 	\
 	ykval-import-clients ykval-db-oci.php ykval-db-pdo.php	\
@@ -75,6 +75,7 @@
 	install -D --mode 644 ykval-db-pdo.php $(DESTDIR)$(phpprefix)/ykval-db-pdo.php
 	install -D --mode 644 ykval-db-oci.php $(DESTDIR)$(phpprefix)/ykval-db-oci.php
 	install -D --mode 644 ykval-log.php $(DESTDIR)$(phpprefix)/ykval-log.php
+	install -D --mode 644 ykval-log-verify.php $(DESTDIR)$(phpprefix)/ykval-log-verify.php
 	install -D ykval-queue $(DESTDIR)$(sbinprefix)/ykval-queue
 	install -D ykval-synchronize $(DESTDIR)$(sbinprefix)/ykval-synchronize
 	install -D ykval-export $(DESTDIR)$(sbinprefix)/ykval-export

=== debian/changelog ===
yubikey-val (2.38-2) unstable; urgency=low

  * Fix typo in Vcs-Git URL.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 17 Aug 2016 14:16:46 +0200

yubikey-val (2.38-1) unstable; urgency=low

  [ Jean Paul Galea ]
  * New upstream release.
  * Fix missing PHP BC Math module on Ubuntu 16.04
  * PHP 7 fixes in earlier internal releases.  Closes: #821670.

  [ Simon Josefsson ]
  * Fix lintian command-with-path-in-maintainer-script.
  * Use https URLs in Vcs-Git.
  * Update Standards-Version from 3.9.6 to 3.9.8.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 09 Aug 2016 16:37:32 +0200

yubikey-val (2.37-1) unstable; urgency=low

  * New upstream release.
  * Fix apache conf.d file to also work with mod_php7.
  * Fix missing php xml module when installing in a php 7 environment.
  * Revert to mysql-server as default database dependency.

 -- Jean Paul Galea <jeanpaul@yubico.com>  Tue, 17 May 2016 11:30:00 +0200

yubikey-val (2.36-1) unstable; urgency=low

  * New upstream release.
  * Drop php-pear package dependency.
  * Add support for php 7.
  * Add support for mariadb-server.

 -- Jean Paul Galea <jeanpaul@yubico.com>  Mon, 16 May 2016 15:45:00 +0200

yubikey-val (2.35-1) unstable; urgency=low

  * New upstream release.

 -- Jean Paul Galea <jeanpaul@yubico.com>  Thu, 21 Apr 2016 09:30:27 +0200

yubikey-val (2.34-1) unstable; urgency=low

  * New upstream release.

 -- Jean Paul Galea <jeanpaul@yubico.com>  Mon, 18 Apr 2016 19:25:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: yubikey-val
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
 Uploaders: Simon Josefsson <simon@josefsson.org>, Klas Lindfors <klas@yubico.com>, Dain Nilsson <dain@yubico.com>, Daniel Pocock <daniel@pocock.com.au>
 Build-Depends: debhelper (>= 9),
 	       po-debconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://developers.yubico.com/yubikey-val/
 Vcs-Browser: https://github.com/Yubico/yubikey-val-dpkg
-Vcs-Git: git://github.com/Yubico/yubikey-val-dpkg.git
+Vcs-Git: https://github.com/Yubico/yubikey-val-dpkg.git
 
 Package: yubikey-val
 Architecture: all
 Depends: ${misc:Depends},
 	 apache2,
-	 php,
-	 php-cli,
-	 php-curl,
-	 php-pear,
-	 mysql-server | postgresql,
-	 php-mysql | php-pgsql,
+	 php | php5,
+	 php-cli | php5-cli,
+	 php-curl | php5-curl,
+	 php-xml | php5-common,
+	 php-bcmath | php5-common,
+	 mysql-server | mariadb-server | postgresql,
+	 php-mysql | php-pgsql | php5-mysql | php5-pgsql,
 	 dbconfig-common
 Recommends: mysql-client | postgresql-client
 Suggests: yubikey-ksm | yhsm-yubikey-ksm

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
  https://developers.yubico.com/yubikey-val/Releases/ yubikey-val-(\d[\d.]*)\.tgz
